PipeWire 1.6.5

Loading...
Searching...
No Matches
spa_audio_info_mpegh Struct Reference
SPA » Parameters

MPEG-H 3D audio info. More...

`#include <spa/param/audio/mpegh.h>`

## Data Fields
uint32_t | rate

## Detailed Description

MPEG-H 3D audio info.

MPEG-H content is assumed to be provided in the form of an MPEG-H 3D Audio Stream (MHAS). MHAS is a lightweight bitstream format that encapsulates MPEG-H 3D Audio frames along with associated metadata. It serves a similar role to the Annex B byte stream format used for H.264, providing framing and synchronization for MPEG-H frames.

MPEG-H is documented in the ISO/IEC 23008-3 specification. MHAS is specified in ISO/IEC 23008-3, Clause 14.

Note that unlike other formats, this one does not specify a channel count. This is because MPEG-H is entity-based; it contains multiple entities of different types (channel beds, audio objects etc.) which do not map 1:1 to channels. The channel amount is determined by decoders instead, based on the audio scene content and the target playback system.

## Field Documentation

## ◆ rate

uint32_t spa_audio_info_mpegh::rate

The documentation for this struct was generated from the following file:

- spa/param/audio/mpegh.h